/*
 * $Id: AC20A.c,v 1.2 2009/11/02 18:23:50 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: AC20A.c,v $
 * Revision 1.2  2009/11/02 18:23:50  clivewebster
 * Added revision log
 *
 * ===========
 * Phidget_AC20A.c
 *
 *  Created on: 27-Mar-2009
 *      Author: Clive Webster
 */
#include "AC20A.h"
#include "../../phidgetsCommon.h"

static void __Phidget_AC20A_read(SENSOR* sensor){
	Phidget_AC20A* device = (Phidget_AC20A*)sensor;
	uint16_t amps = __phidgetsRead(device->pin);
	// scale it
	amps /= 40;

	device->current.amps = amps;
}

CURRENT_CLASS c_Phidget_AC20A = MAKE_CURRENT_CLASS(null,&__Phidget_AC20A_read, 0 ,0 );
