/*
 * $Id:
 *
 * Revision History
 * ================
 * $Log
 * ===========
 * SRF04_Sonar.h
 *
 *  Created on: 16-Nov-2009
 *      Author: Clive Webster
 *
 *  Devantech SRF04 Sonar.
 *
 */

#ifndef SRF04_Sonar_H_
#define SRF04_Sonar_H_
#include "../_distance_common.h"
#include "../../../iopin.h"

extern DISTANCE_CLASS c_Devantech_SRF04;

typedef struct s_Devantech_SRF04{
	DISTANCE 		distance;
	const IOPin*    out;
	const IOPin*    in;
}Devantech_SRF04;

// Create the sensor
#define MAKE_Devantech_SRF04(trigger,echo) { \
	MAKE_DISTANCE_SENSOR(c_Devantech_SRF04), \
	trigger,echo }

#endif /* SRF04_Sonar */
