
/*
 * $Id: GP2Y0A700K0F.c,v 1.1 2010/01/30 21:21:49 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: GP2Y0A700K0F.c,v $
 * Revision 1.1  2010/01/30 21:21:49  clivewebster
 * Added new sensors
 *
 * ===========
 *
 *
 * GP2Y0A700K0F.c
 *
 *  Created on: 29-Jan-2010
 *      Author: Clive Webster
 */

#include "GP2.h"
// Requires the floating point library
#include <math.h>

#include "../../../a2d.h"

// Read all the values and store into the device
static void __GP2Y0A700K0F_read(SENSOR* sensor){
	Sharp_GP2Y0A700K0F* device = (Sharp_GP2Y0A700K0F*)sensor;
	uint16_t adc = a2dConvert10bit(device->adcPin);
	device->distance.cm = 94407.0 * pow(adc,-1.0891);
}

DISTANCE_CLASS c_Sharp_GP2Y0A700K0F = MAKE_DISTANCE_CLASS(null,&__GP2Y0A700K0F_read,0,0);

