/*
 * $Id: color_dump.c,v 1.2 2009/11/02 18:54:58 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: color_dump.c,v $
 * Revision 1.2  2009/11/02 18:54:58  clivewebster
 * *** empty log message ***
 *
 * ===========
 * color_dump.c
 *
 *  Created on: 02-Sep-2009
 *      Author: Clive Webster
 */
#include "color.h"
#include "rprintf.h"

void colorDump(const COLOR* color){
	switch(color->colorSpace){
	case RGB:
		rprintf("RGB(%d,%d,%d)",(int)(color->bands.rgb.r), (int)(color->bands.rgb.g), (int)(color->bands.rgb.b));
		break;
	case YUV:
		rprintf("YUV(%d,%d,%d)",(int)(color->bands.yuv.y), (int)(color->bands.yuv.u), (int)(color->bands.yuv.v));
		break;
	}
}


