/*
 * $Id: iopin_pulseIn.c,v 1.3 2009/11/02 18:58:48 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: iopin_pulseIn.c,v $
 * Revision 1.3  2009/11/02 18:58:48  clivewebster
 * Added revision log
 *
 * ===========
 * iopin_pulseIn.c
 *
 *  Created on: 22-Sep-2009
 *      Author: Clive Webster
 */
#include "iopin.h"
#include "timer.h"

TICK_COUNT pin_pulseIn(const IOPin* pin){
	TICK_COUNT start;
	TICK_COUNT end;
	TICK_COUNT duration;

	pin_make_input(pin,FALSE);				// Switch pin to INPUT
	while(pin_is_high(pin));				// Loop until the the pin goes low
	while(pin_is_low(pin));					// Loop until the the pin goes high
	start = clockGetus();					// Get the start time
	while(pin_is_high(pin));				// Loop until the the pin goes low
	end = clockGetus();						// Get the end time

	duration = end - start;					// Get the duration in uS
	return duration;
}
