/*
 * $Id: iopin_pulseOut.c,v 1.2 2009/11/02 18:58:48 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: iopin_pulseOut.c,v $
 * Revision 1.2  2009/11/02 18:58:48  clivewebster
 * Added revision log
 *
 * ===========
 * iopin_pulseOut.c
 *
 *  Created on: 22-Sep-2009
 *      Author: Clive Webster
 */
#include "iopin.h"
#include "timer.h"

void pin_pulseOut(const IOPin* pin, TICK_COUNT us){
	pin_make_output(pin);					// Make it an output pin
	pin_low(pin);							// Bring pin low
	delay_us(2);							// wait a bit
	pin_high(pin);							// Bring pin High
	delay_us(us);       					// Wait for duration
	pin_low(pin);							// Bring pin Low
}

