/*
 * $Id: led.c,v 1.2 2009/11/02 19:00:09 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: led.c,v $
 * Revision 1.2  2009/11/02 19:00:09  clivewebster
 * Added revision log
 *
 * ===========
 * led.c
 *
 *  Created on: 15-Mar-2009
 *      Author: Clive Webster
 */

#include "led.h"

// Create the status LED
LED statusLED=MAKE_LED(null,FALSE);

void LED_set(LED* led,	boolean value){
	if(led->pin){
		if(!led->initialised){
			pin_make_output(led->pin);
			led->initialised=TRUE;
		}
		if(!led->activeHigh){
		 	value=!value;
		}
		pin_set(led->pin,value);
	}
}

