/*
 * $Id: avrcam.h,v 1.1 2010/02/04 22:27:20 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: avrcam.h,v $
 * Revision 1.1  2010/02/04 22:27:20  clivewebster
 * Added
 *
 * ===========
 *
 *
 * avrcam.h
 *
 *  Created on: 31-Jan-2010
 *      Author: Clive Webster
 */

#ifndef AVRCAM_H_
#define AVRCAM_H_

#include "../_camera_common.h"


// Class definition for an AVRcam
extern CAMERA_CLASS c_avrcam;


// Define an AVRcam camera
typedef struct s_avrcam {
	CAMERA _camera_;		// Include common camera data
	boolean tracking:1;		// Is tracking mode enabled?
} AVRCAM;

// Helper routine to construct a new AVRcam
#define MAKE_AVRCAM(uart) { MAKE_CAMERA(&c_avrcam,uart), \
	FALSE  /* Not tracking */	\
}

#endif /* AVRCAM_H_ */
