/*
 * $Id: AC50A.c,v 1.2 2009/11/02 18:23:50 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: AC50A.c,v $
 * Revision 1.2  2009/11/02 18:23:50  clivewebster
 * Added revision log
 *
 * ===========
 * Phidget_AC50A.c
 *
 *  Created on: 27-Mar-2009
 *      Author: Clive Webster
 */
#include "AC50A.h"
#include "../../phidgetsCommon.h"

static void __Phidget_AC50A_read(SENSOR* sensor){
	Phidget_AC50A* device = (Phidget_AC50A*)sensor;
	uint16_t amps = __phidgetsRead(device->pin);
	// scale it. * 0.0625
	amps /= 16;

	device->current.amps = amps;
}

CURRENT_CLASS c_Phidget_AC50A = MAKE_CURRENT_CLASS(null,&__Phidget_AC50A_read, 0 ,0 );
