/*
 * $Id: DC20A.c,v 1.2 2009/11/02 18:23:50 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: DC20A.c,v $
 * Revision 1.2  2009/11/02 18:23:50  clivewebster
 * Added revision log
 *
 * ===========
 * Phidget_DC20A.c
 *
 *  Created on: 27-Mar-2009
 *      Author: Clive Webster
 */
#include "DC20A.h"
#include "../../phidgetsCommon.h"

static void __Phidget_DC20A_read(SENSOR* sensor){
	Phidget_DC20A* device = (Phidget_DC20A*)sensor;
	uint16_t amps = __phidgetsRead(device->pin) - 500;
	// scale it
	amps /= 20;

	device->current.amps = amps;
}

CURRENT_CLASS c_Phidget_DC20A = MAKE_CURRENT_CLASS(null,&__Phidget_DC20A_read, 0 ,0 );

