/*
 * $Id: 30V.c,v 1.2 2009/11/02 18:44:48 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: 30V.c,v $
 * Revision 1.2  2009/11/02 18:44:48  clivewebster
 * Added revision log
 *
 * ===========
 * Phidget_30V.c
 *
 *  Created on: 27-Mar-2009
 *      Author: Clive Webster
 */
#include "30V.h"
#include "../../phidgetsCommon.h"

static void __Phidget_30V_read(SENSOR* sensor){
	Phidget_30V* device = (Phidget_30V*)sensor;
	uint16_t volts = __phidgetsRead(device->adcPin);
	// scale it: (adc - 500) * 0.06
	volts -= 500;
	volts *= 3;
	volts /= 50;

	device->voltage.volts = volts;
}

VOLTAGE_CLASS c_Phidget_30V = MAKE_VOLTAGE_CLASS(null,&__Phidget_30V_read, 0 ,0 );
