/*
 * $Id: rprintfh.c,v 1.4 2010/01/24 12:13:32 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: rprintfh.c,v $
 * Revision 1.4  2010/01/24 12:13:32  clivewebster
 * *** empty log message ***
 *
 * Revision 1.3  2009/11/02 19:02:47  clivewebster
 * Added revision log
 *
 * ===========
 * rprintfh.c
 *
 *  Created on: 07-May-2009
 *      Author: Clive Webster
 *
 *  Print numbers in hex
 */
#include "libdefs.h"
#include "rprintf.h"


// prints an unsigned 8-bit number in hex (2 digits)
void rprintfu08(uint8_t data)
{
	// print 8-bit hex value
	rprintfu04(data>>4);
	rprintfu04(data);
}

// prints an unsigned 16-bit number in hex (4 digits)
void rprintfu16(uint16_t data)
{
	// print 16-bit hex value
	rprintfu08(data>>8);
	rprintfu08(data);
}

// prints an unsigned 32-bit number in hex (8 digits)
void rprintfu32(uint32_t data)
{
	// print 32-bit hex value
	rprintfu16(data>>16);
	rprintfu16(data);
}


