/*
 * $Id: servosSpeed.c,v 1.1 2009/09/26 17:59:07 clivewebster Exp $
 *
 * Revision History
 * ================
 * $Log: servosSpeed.c,v $
 * Revision 1.1  2009/09/26 17:59:07  clivewebster
 * *** empty log message ***
 *
 * ===========

 * servosSpeed.c
 *
 *  Created on: 26-Sep-2009
 *      Author: Clive Webster
 */
#include "servos.h"
#include "actuators.h"

void servosSetSpeed(const SERVO_DRIVER* driver, DRIVE_SPEED speed){
	for(int i=driver->num_servos - 1; i >= 0; i--){
		SERVO* servo = (SERVO*)pgm_read_word(&driver->servos[i]);
		act_setSpeed(servo, speed);
	}
}


